package com.kingdee.eas.custom.compensation.basedata;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.BOSObjectFactory;
import com.kingdee.bos.util.BOSObjectType;
import com.kingdee.bos.Context;

public class PositionSalaryStandardFactory
{
    private PositionSalaryStandardFactory()
    {
    }
    public static com.kingdee.eas.custom.compensation.basedata.IPositionSalaryStandard getRemoteInstance() throws BOSException
    {
        return (com.kingdee.eas.custom.compensation.basedata.IPositionSalaryStandard)BOSObjectFactory.createRemoteBOSObject(new BOSObjectType("85EF02F4") ,com.kingdee.eas.custom.compensation.basedata.IPositionSalaryStandard.class);
    }
    
    public static com.kingdee.eas.custom.compensation.basedata.IPositionSalaryStandard getRemoteInstanceWithObjectContext(Context objectCtx) throws BOSException
    {
        return (com.kingdee.eas.custom.compensation.basedata.IPositionSalaryStandard)BOSObjectFactory.createRemoteBOSObjectWithObjectContext(new BOSObjectType("85EF02F4") ,com.kingdee.eas.custom.compensation.basedata.IPositionSalaryStandard.class, objectCtx);
    }
    public static com.kingdee.eas.custom.compensation.basedata.IPositionSalaryStandard getLocalInstance(Context ctx) throws BOSException
    {
        return (com.kingdee.eas.custom.compensation.basedata.IPositionSalaryStandard)BOSObjectFactory.createBOSObject(ctx, new BOSObjectType("85EF02F4"));
    }
    public static com.kingdee.eas.custom.compensation.basedata.IPositionSalaryStandard getLocalInstance(String sessionID) throws BOSException
    {
        return (com.kingdee.eas.custom.compensation.basedata.IPositionSalaryStandard)BOSObjectFactory.createBOSObject(sessionID, new BOSObjectType("85EF02F4"));
    }
}